Bug 1197090 - foreman_scap_client config file gets configured with port 8443
Summary: foreman_scap_client config file gets configured with port 8443
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Other
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Šimon Lukašík
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks: 1047797
TreeView+ depends on / blocked
 
Reported: 2015-02-27 13:35 UTC by Kedar Bidarkar
Modified: 2017-02-23 20:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:28:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Kedar Bidarkar 2015-02-27 13:35:17 UTC
Description of problem:
foreman_scap_client config file gets configured with port 8443

For satellite6 foreman-proxy port is 9090

Version-Release number of selected component (if applicable):
sat6 Beta snap4

How reproducible:


Steps to Reproduce:
1. after running 'puppet agent -t' with foreman_scap_client puppet-class configured 
2. check for the port_number in /etc/foreman_scap_client/config.yaml 
3.

Actual results:
port number is currently 8443

Expected results:
port number should be 9090

Additional info:

Comment 1 Šimon Lukašík 2015-02-27 14:17:13 UTC
Never heard about that. Why does the downstream differs in this?

We need to push down the port number from foreman_openscap like

    https://github.com/isimluk/foreman_openscap/commit/ec403e0d19d4205da73133a7876ba876694948e2

it should then propagate to puppet-foreman_scap_client. I have not tested that yet.

Comment 2 Shlomi Zadok 2015-03-01 13:43:43 UTC
Actually not. This commit configures only the server, not the port.
Please see PR: https://github.com/OpenSCAP/foreman_openscap/pull/86

@slukasik, please review. thx

Comment 6 Kedar Bidarkar 2015-03-09 09:38:33 UTC
foreman_scap_client config file now gets configured with satellite6 capsule port: 9090


VERIFIED with sat6.1 beta snap5

Comment 7 Bryan Kearney 2015-08-11 13:36:20 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:28:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.